Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036498
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-07-14 15:202017-07-21 08:20
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisionb69110075180
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036498: Lots of code related to already removed 2.50 windows is still in pi and should be deleted

DescriptionThe old unused implementation of 2.50 windows has been removed already from the product.
However quite some sizable code is still left which now does not have any purpose as it is directly related to those removed 2.50 style windows.

- DataGrid: data backend code for all the 2.50 windows
- ExportGrid: Export to CSV,PDF,XLS for all the 2.50 windows
- Old Filter popup (aka Buscador) only used by 2.50 windows
- Lots of internal platform code only useful for the above items

All that code should be removed as it exists needs to be maintained, slows down compilation and can still cause trouble (i.e. by having security issues).
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036499 closedshuehner API changes related to removal of 2.50 code 
depends on design defect 0032688 acknowledgedplatform remove unused resources 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0098150)
hgbot (developer)
2017-07-20 13:44

Repository: erp/devel/pi
Changeset: b69110075180e48347da916ea0923bed2418d28e
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Thu Jul 20 11:28:33 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b69110075180e48347da916ea0923bed2418d28e [^]

Fixed 36498: Merge pi-250cleanup with pi rev: 9933d754a9b9

---
M build.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/UpdateInvariantCharacteristicsHandler.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/ApplicationComponent.java
M modules/org.openbravo.client.widgets/src-db/database/sourcedata/OBKMO_WIDGET_CLASS.xml
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
M src-db/database/lib/dbsourcemanager.jar
M src-db/database/model/tables/M_MOVEMENTLINE.xml
M src-db/database/model/triggers/C_INVOICE_TRG2.xml
M src-db/database/model/triggers/C_ORDER_TRG2.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
M src-test/build.xml
M src-test/src/org/openbravo/test/base/OBBaseTest.java
M src-test/src/org/openbravo/test/base/TestLogAppender.java
M src-test/src/org/openbravo/test/costing/TestCosting.java
M src-test/src/org/openbravo/test/system/ErrorTextParserTest.java
M src/org/openbravo/common/actionhandler/SRMOPickEditLines.java
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
M src/org/openbravo/costing/LCCostMatchFromInvoiceHandler.java
M src/org/openbravo/erpCommon/ad_callouts/OperativeQuantity_To_BaseQuantity.java
M src/org/openbravo/erpCommon/ad_callouts/SL_InOutLine_Product.java
M src/org/openbravo/erpCommon/ad_callouts/SL_InOut_BPartner.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Inventory_Product.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Movement_Product.java
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliation.java
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.html
M src/org/openbravo/erpCommon/ad_forms/InstanceManagementActivateLocal.html
M src/org/openbravo/erpCommon/ad_forms/InstanceManagementActivateOnline.html
M src/org/openbravo/erpCommon/ad_forms/InstanceManagementDeactivate.html
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement_ErrorCommercial.html
M src/org/openbravo/erpCommon/ad_forms/ProductInfo.java
M src/org/openbravo/erpCommon/ad_process/ConvertQuotationIntoOrder.java
M src/org/openbravo/erpCommon/ad_reports/AgingScheduleDetailXLS.jrxml
M src/org/openbravo/erpCommon/ad_reports/AgingScheduleDetailXLSDoubtfulDebt.jrxml
M src/org/openbravo/erpCommon/ad_reports/AgingScheduleXLS.jrxml
M src/org/openbravo/erpCommon/businessUtility/CancelAndReplaceUtils.java
M src/org/openbravo/erpCommon/obps/ActivationKey.java
M src/org/openbravo/erpCommon/obps/ActiveInstanceProcess.java
M src/org/openbravo/erpCommon/security/Login.html
M src/org/openbravo/erpCommon/utility/StaticCommunityBranding.java
M src/org/openbravo/erpCommon/utility/Utility.java
M src/org/openbravo/event/OrderEventHandler.java
M src/org/openbravo/event/RoleEventHandler.java
M src/org/openbravo/materialmgmt/UOMUtil.java
M web/js/dojotoolkit/dojo/_base/xhr.js
M web/js/dojotoolkit/dojo/dojo.js
M web/js/dojotoolkit/dojo/dojo.js.uncompressed.js
M web/js/utils.js
A src/org/openbravo/event/InvoiceEventHandler.java
R src-test/src/org/openbravo/test/javascript/CompressionTest.java
R src-test/src/org/openbravo/test/javascript/JavaScriptAPIChecker.java
R src-test/src/org/openbravo/test/javascript/JavaScriptAPITest.java
R src-test/src/org/openbravo/test/javascript/JavaScriptAntTest.java
R src-test/src/org/openbravo/test/javascript/JavaScriptParser.java
R src-test/src/org/openbravo/test/javascript/test-compression.js
R web/html/en_US/StaticCommunityBranding-2.50-Basic.html
R web/html/en_US/StaticCommunityBranding-2.50-Basic_files/banner.png
R web/html/en_US/StaticCommunityBranding-2.50-Comm.html
R web/html/en_US/StaticCommunityBranding-2.50-Comm_files/banner.png
R web/html/en_US/StaticCommunityBranding-2.50-STD.html
R web/html/en_US/StaticCommunityBranding-2.50-STD_files/banner.png
---
(0098161)
alostale (developer)
2017-07-21 08:20

reviewed

- Issue History
Date Modified Username Field Change
2017-07-14 15:20 shuehner New Issue
2017-07-14 15:20 shuehner Assigned To => shuehner
2017-07-14 15:20 shuehner Modules => Core
2017-07-14 15:20 shuehner Triggers an Emergency Pack => No
2017-07-15 13:51 shuehner Relationship added related to 0036499
2017-07-15 18:29 shuehner Relationship added depends on 0032688
2017-07-20 13:44 hgbot Checkin
2017-07-20 13:44 hgbot Note Added: 0098150
2017-07-20 13:44 hgbot Status new => resolved
2017-07-20 13:44 hgbot Resolution open => fixed
2017-07-20 13:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b69110075180e48347da916ea0923bed2418d28e [^]
2017-07-21 08:20 alostale Review Assigned To => alostale
2017-07-21 08:20 alostale Note Added: 0098161
2017-07-21 08:20 alostale Status resolved => closed
2017-07-21 08:20 alostale Fixed in Version => 3.0PR17Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker